oasis.names.tc.saml._2_0.assertion

## Class Advice

- java.lang.Object
- - oasis.names.tc.saml._2_0.assertion.Advice

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-09T10:39:19+01:00",
                 comments="JAXB RI v2.3.7")
      public class Advice
      extends Object
      implements Serializable

  Java class for AdviceType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="AdviceType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <choice maxOccurs="unbounded" minOccurs="0">
               <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}AssertionIDRef"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}AssertionURIRef"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}Assertion"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}EncryptedAssertion"/>
               <any processContents='lax' namespace='##other'/>
             </choice>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Advice()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Object>` | `getAssertionIDRevesAndAssertionURIRevesAndAssertions()` Gets the value of the assertionIDRevesAndAssertionURIRevesAndAssertions property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Advice

          public Advice()

  - ### Method Detail

    - #### getAssertionIDRevesAndAssertionURIRevesAndAssertions

          public List<Object> getAssertionIDRevesAndAssertionURIRevesAndAssertions()

      Gets the value of the assertionIDRevesAndAssertionURIRevesAndAssertions property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the assertionIDRevesAndAssertionURIRevesAndAssertions property.

      For example, to add a new item, do as follows:

              getAssertionIDRevesAndAssertionURIRevesAndAssertions().add(newItem);

      Objects of the following type(s) are allowed in the list `JAXBElement``<``String``>` `JAXBElement``<``String``>` `JAXBElement``<``EncryptedElementType``>` `Assertion` `Element`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.